Subject: bug#13928: The 'subdir-object' option breaks makefiles where foo_SOURCES contains $(var)

From: Stefano Lattarini <[email-masked]>
Date: Thu, 01 Jan 2015 17:28:10 +0100

retitle 13928 foo_SOURCES containing unexpanded $(var) breaks with 'subdir-object' option active
stop

Reference: http://debbugs.gnu.org/13928

Hi Johan and everybody, sorry for the awful delay.

On 07/05/2014 07:59 PM, Johan Kristensen wrote:
> Hi,
>
> What is the current status of this bug?
>
> [MEGA-SNIP]
>
I'm trying a simple approach (which seems quite promising so far)
in the experimental Git branch experimental/deps-pr13928-take-2.

The new code seems to work with the following make versions:

   - GNU
   - NetBSD 5.1
   - FreeBSD 8.0
   - Solaris 10
   - AIX 7.1

Notice that the new code will not land in Automake 1.15 (that I
hope to be able to release in less than a week, as soon as my
new GPG key is accepted by [email-masked]).  But unless any
unanticipated issue arises, I definitely want the fix to land
in Automake 1.16 (and the fix for this bug alone would IMHO be
enough to justify a new minor release).

Thanks,
   Stefano